Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng
Class EPNG

    java.lang.Object
      echopointng.EPNG

    public class EPNG

extends java.lang.Object

`EPNG` contains static members that help control the EPNG component library.

Field Summary
`static MutableStyleSheet` | `DEFAULT_STYLESHEET` This `MutableStyleSheet` contains the default visual representation of the EPNG components.
`static StyleSheet` | `FALLBACK_STYLESHEET` This `StyleSheet` is used as the fall back stylesheet by the EPNG rendering peers.

Method Summary
`static Style` | `getFallBackStyle(Component component)` This static helper method can be used to quickly get the Style for a given component from the FALLBACK_STYLESHEET.
`static java.lang.Object` | `getRP(Component c, java.lang.String propertyName)` This helper method will look for rendered properties inside the component (via getRenderproperty) and then if it finds null, then it will look in the fallback style for that component class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FALLBACK_STYLESHEET

    public static StyleSheet FALLBACK_STYLESHEET

  This `StyleSheet` is used as the fall back stylesheet by the EPNG rendering peers. The EPNG rendering peers use the following lookup algorythmn for find non null property values.

  - Look in the component's local properties
  - Failing that, look in the component's local style
  - Failing that, look in the application instance stylesheet
  - Failing that, look in the fallback stylesheet
  Hence this fall back stylesheet is the place of last resort for property values and you can override them by setting values in the component, component style or application instance stylesheet.

  You are free to change this field or remove it by setting it to null. You can also set a change the Style for a specific component class using the addStyle() methods of the stylsheet.

  However remember it is a static field and hence will affect all EPNG components in the same JVM.

### DEFAULT_STYLESHEET

    public static MutableStyleSheet DEFAULT_STYLESHEET

  This `MutableStyleSheet` contains the default visual representation of the EPNG components.

Method Detail

### getFallBackStyle

    public static Style getFallBackStyle(Component component)

  This static helper method can be used to quickly get the Style for a given component from the FALLBACK_STYLESHEET. If any of these objects is null, then null is returned.

  Parameters:
    `component` - - the component to get a fallback style for
  Returns:
    a fallback style for the component

### getRP

    public static java.lang.Object getRP(Component c,
                                         java.lang.String propertyName)

  This helper method will look for rendered properties inside the component (via getRenderproperty) and then if it finds null, then it will look in the fallback style for that component class.

  Parameters:
    `c` - - the component in question
    `propertyName` - - the name of the property to find a value for
  Returns:
    - the render value in question

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD